import request from '@/utils/request'

// 树
export function treeList(query=0) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/treeList/'+query,
    method: 'get',
  })
}
// 中下
export function selectDevicesByMonitorUnitId(query=0,data=0) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/selectDevicesByMonitorUnitId/'+query+'/'+data,
    method: 'get',
    data:query
  })
}
// 中上
export function getMonitorById(query=0) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/getMonitorById/'+query,
    method: 'get',
    data:query
  })
}
// 切换状态
export function publishControlCommand(query=0) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/publishControlCommand',
    method: 'POST',
    data:query
  })
}
